"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var useIndeterminateProgressIndicator_exports = {};
__export(useIndeterminateProgressIndicator_exports, {
  useIndeterminateProgressIndicator: () => useIndeterminateProgressIndicator
});
module.exports = __toCommonJS(useIndeterminateProgressIndicator_exports);
var React = __toESM(require("react"));
var import_react = __toESM(require("react"));
var import_ds_props_helpers = require("@elliemae/ds-props-helpers");
var import_react_desc_prop_types = require("../react-desc-prop-types.js");
var import_useValidateProps = require("./useValidateProps.js");
const useIndeterminateProgressIndicator = (propsFromUser) => {
  const propsWithDefault = (0, import_ds_props_helpers.useMemoMergePropsWithDefault)(
    propsFromUser,
    import_react_desc_prop_types.defaultProps
  );
  (0, import_useValidateProps.useValidateProps)(propsWithDefault, import_react_desc_prop_types.DSIndeterminateProgressIndicatorPropTypes);
  const {
    title,
    complete,
    failed,
    processing,
    processingComplete,
    processingCompleteTitle,
    processingFail,
    processingFailTitle
  } = propsWithDefault;
  const label = (0, import_react.useMemo)(() => {
    if ((processingComplete || processingFail || processing) && (complete || failed)) {
      return complete ? processingCompleteTitle : processingFailTitle;
    }
    return title;
  }, [
    processingComplete,
    processingFail,
    processing,
    complete,
    failed,
    title,
    processingCompleteTitle,
    processingFailTitle
  ]);
  return import_react.default.useMemo(
    () => ({
      propsWithDefault,
      label
    }),
    [propsWithDefault, label]
  );
};
//# sourceMappingURL=useIndeterminateProgressIndicator.js.map
