"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var react_desc_prop_types_exports = {};
__export(react_desc_prop_types_exports, {
  DSIndeterminateProgressIndicatorPropTypes: () => DSIndeterminateProgressIndicatorPropTypes,
  defaultProps: () => defaultProps
});
module.exports = __toCommonJS(react_desc_prop_types_exports);
var React = __toESM(require("react"));
var import_ds_props_helpers = require("@elliemae/ds-props-helpers");
const defaultProps = {
  containerProps: {},
  title: "",
  complete: false,
  failed: false,
  processing: false,
  processingComplete: false,
  processingCompleteTitle: "Complete",
  processingFail: false,
  processingFailTitle: "Fail",
  animated: true,
  percent: 50,
  lineOnly: false
};
const DSIndeterminateProgressIndicatorPropTypes = {
  ...import_ds_props_helpers.globalAttributesPropTypes,
  ...import_ds_props_helpers.xstyledPropTypes,
  containerProps: import_ds_props_helpers.PropTypes.object.description("Set of Properties attached to the main container"),
  title: import_ds_props_helpers.PropTypes.string.description("component s label"),
  complete: import_ds_props_helpers.PropTypes.bool.description("Sets the process state to completed").defaultValue(false),
  failed: import_ds_props_helpers.PropTypes.bool.description("Sets the process state to failed").defaultValue(false),
  processing: import_ds_props_helpers.PropTypes.bool.description("Sets the process state to processing").defaultValue(false),
  processingComplete: import_ds_props_helpers.PropTypes.bool.description("Sets the process state to processing and then completed").defaultValue(false),
  processingCompleteTitle: import_ds_props_helpers.PropTypes.string.description("label to display when the process is completed"),
  processingFail: import_ds_props_helpers.PropTypes.bool.description("Sets the process state to processing and then failed").defaultValue(false),
  processingFailTitle: import_ds_props_helpers.PropTypes.string.description("label to display when the process has failed"),
  animated: import_ds_props_helpers.PropTypes.bool.description("animate or not").defaultValue(true),
  percent: import_ds_props_helpers.PropTypes.number.description("completion percentage").defaultValue(50),
  lineOnly: import_ds_props_helpers.PropTypes.bool.description("hide the label from rendering")
};
//# sourceMappingURL=react-desc-prop-types.js.map
