"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var DSIndeterminateProgressIndicator_exports = {};
__export(DSIndeterminateProgressIndicator_exports, {
  DSIndeterminateProgressIndicator: () => DSIndeterminateProgressIndicator,
  IndeterminateProgressIndicatorWithSchema: () => IndeterminateProgressIndicatorWithSchema,
  default: () => DSIndeterminateProgressIndicator_default
});
module.exports = __toCommonJS(DSIndeterminateProgressIndicator_exports);
var React = __toESM(require("react"));
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
var import_ds_props_helpers = require("@elliemae/ds-props-helpers");
var import_react_desc_prop_types = require("./react-desc-prop-types.js");
var import_useIndeterminateProgressIndicator = require("./config/useIndeterminateProgressIndicator.js");
var import_constants = require("./constants/index.js");
var import_ds_truncated_tooltip_text = require("@elliemae/ds-truncated-tooltip-text");
var import_styled = require("./styled.js");
const DSIndeterminateProgressIndicator = (props) => {
  const { propsWithDefault, label } = (0, import_useIndeterminateProgressIndicator.useIndeterminateProgressIndicator)(props);
  const {
    containerProps,
    complete,
    failed,
    processing,
    processingComplete,
    processingFail,
    animated,
    percent,
    lineOnly
  } = propsWithDefault;
  const globalAttributes = (0, import_ds_props_helpers.useGetGlobalAttributes)(propsWithDefault);
  const xstyledAttributes = (0, import_ds_props_helpers.useGetXstyledProps)(propsWithDefault);
  const getOwnerProps = (0, import_react.useCallback)(() => propsWithDefault, [propsWithDefault]);
  const getOwnerPropsArguments = (0, import_react.useCallback)(() => ({}), []);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
    import_styled.Container,
    {
      "aria-busy": processing,
      "aria-label": label,
      "aria-live": "polite",
      role: "alert",
      lineOnly,
      getOwnerProps,
      getOwnerPropsArguments,
      ...globalAttributes,
      ...xstyledAttributes,
      ...containerProps,
      children: [
        !lineOnly ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ds_truncated_tooltip_text.TooltipTextProvider, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
          import_styled.StyledTruncatedTooltipText,
          {
            value: label,
            getOwnerProps,
            getOwnerPropsArguments
          }
        ) }) : null,
        /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_styled.Bar, { getOwnerProps, getOwnerPropsArguments, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
          import_styled.BarIndicator,
          {
            complete,
            failed,
            processing,
            animated,
            processingComplete,
            processingFail,
            percent,
            getOwnerProps,
            getOwnerPropsArguments
          }
        ) })
      ]
    }
  );
};
DSIndeterminateProgressIndicator.displayName = import_constants.DSIndeterminateProgressIndicatorName;
const IndeterminateProgressIndicatorWithSchema = (0, import_ds_props_helpers.describe)(DSIndeterminateProgressIndicator);
IndeterminateProgressIndicatorWithSchema.propTypes = import_react_desc_prop_types.DSIndeterminateProgressIndicatorPropTypes;
var DSIndeterminateProgressIndicator_default = DSIndeterminateProgressIndicator;
//# sourceMappingURL=DSIndeterminateProgressIndicator.js.map
