/// <reference types="react" />
import type { GlobalAttributesT, XstyledProps } from '@elliemae/ds-props-helpers';
export declare namespace DSIndeterminateProgressIndicatorT {
    interface RequiredProps {
    }
    interface DefaultProps {
        containerProps: object;
        title: string;
        complete: boolean;
        failed: boolean;
        processing: boolean;
        processingComplete: boolean;
        processingCompleteTitle: string;
        processingFail: boolean;
        processingFailTitle: string;
        animated: boolean;
        percent: number;
        lineOnly: boolean;
    }
    interface OptionalProps {
    }
    interface Props extends Partial<DefaultProps>, OptionalProps, Omit<GlobalAttributesT<HTMLDivElement>, keyof DefaultProps>, XstyledProps, RequiredProps {
    }
    interface InternalProps extends DefaultProps, OptionalProps, Omit<GlobalAttributesT<HTMLDivElement>, keyof DefaultProps>, XstyledProps, RequiredProps {
    }
}
export declare const defaultProps: DSIndeterminateProgressIndicatorT.DefaultProps;
export declare const DSIndeterminateProgressIndicatorPropTypes: import("react").WeakValidationMap<unknown>;
